﻿@model IEnumerable<ApplidevKPI.Models.ImportViewModel>

    <div class="jumbotron">
        <h2 class="sa-h2">CSV @ViewBag.DateImport</h2>
        <table class="sa-table table table-responsive table-striped">
            <thead class="sa-thread">
                <tr>
                    <th>Client</th>
                    <th>Projet</th>
                    <th>Tâche</th>
                    <th>Affectation</th>
                    <th>Salarié</th>
                    <th>Apprenti@*cherhcer apprenti dans employee*@</th>
                    <th>Date</th>
                    <th>Durée</th>
                </tr>
            </thead>
            <tbody id="import_list">

                @foreach (var item in Model)
                {
                    <tr>
                        <td value="@item.Customer">
                            @item.Customer
                        </td>
                        <td value="@item.FK_ID_Project">
                            @item.Project
                        </td>
                        <td value="@item.Task">
                            @item.Task
                        </td>
                        <td class="sa-zone-edit">
                            <select class="form-control" name="assignment" id="select_assignment">
                                @foreach (var a in ViewBag.Assignments)
                                {
                                    if (a.PK_ID == item.FK_ID_Assignment)
                                    {
                                        <option value="@a.PK_ID" selected>@a.Wording</option>
                                    }
                                    else
                                    {
                                        <option value="@a.PK_ID">@a.Wording</option>
                                    }

                                }
                            </select>
                        </td>
                        <td value="@item.FK_ID_Employee">
                            @item.Employee
                        </td>
                        <td class="sa-zone-edit">
                            @Html.EditorFor(modelItem => item.Apprentice,new { htmlAttributes = new { @class = "sa-checkbox" } })
                        </td>
                        <td value="@item.Date">
                            @item.Date.ToString("dd/MM/yyyy")
                        </td>
                        <td value="@item.Duration">
                            @Html.DisplayFor(modelItem => item.Duration)
                        </td>
                    </tr>
                }
            </tbody>
        </table>
        @if (ViewBag.HtmlAlert != null)
        {
    <h4 class="sa-alert"><span style="color: #d00a0a; margin-right: 0.3em" class="glyphicon glyphicon-warning-sign"></span>@ViewBag.DateImport@ViewBag.HtmlAlert</h4>
        }

        <button id="sa_submit" type="submit" onclick="submitListImport()">
            <span class="glyphicon glyphicon-floppy-saved"></span>
        </button>


    </div>
    <script src="~/Scripts/importValidation.js"></script>